Bug 197824 - security/strongswan: add GCM and SMP options plus pkgconfig fix
Summary: security/strongswan: add GCM and SMP options plus pkgconfig fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-02-19 16:08 UTC by Franco Fichtner
Modified: 2015-02-25 10:08 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
GCM SMP pkgconfig fix (2.42 KB, patch)
2015-02-19 16:08 UTC, Franco Fichtner
no flags Details | Diff
Updated patch for add GCM and SMP options plus pkgconfig fix (3.51 KB, patch)
2015-02-24 04:45 UTC, strongswan
strongswan: maintainer-approval+
Details | Diff
portlint -A (135 bytes, text/plain)
2015-02-24 06:30 UTC, Franco Fichtner
no flags Details
poudriere build log (86.09 KB, application/octet-stream)
2015-02-24 07:07 UTC, Franco Fichtner
no flags Details
Updated patch for add GCM and SMP options plus pkgconfig fix (3.69 KB, patch)
2015-02-24 12:30 UTC, strongswan
strongswan: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2015-02-19 16:08:15 UTC
Created attachment 153178 [details]
GCM SMP pkgconfig fix

(via OPNsense)
Comment 1 Bugzilla Automation freebsd_committer 2015-02-19 16:08:15 UTC
Maintainer CC'd
Comment 2 strongswan 2015-02-24 04:45:53 UTC
Created attachment 153417 [details]
Updated patch for add GCM and SMP options plus pkgconfig fix

Updated the patch to include the configuration files in the pkg-plist file.

Also added IKEv1 option on by default
Comment 3 Franco Fichtner 2015-02-24 05:42:47 UTC
Comment on attachment 153178 [details]
GCM SMP pkgconfig fix

Woah, nice, especially the IKEv1. We've had many bug reports regarding this one.

Thank you. :)
Comment 4 Franco Fichtner 2015-02-24 06:30:30 UTC
Created attachment 153431 [details]
portlint -A
Comment 5 Franco Fichtner 2015-02-24 07:07:11 UTC
Created attachment 153433 [details]
poudriere build log

Had to compress the build log because the plain file exceeded the upload size limit.
Comment 6 Renato Botelho freebsd_committer 2015-02-24 11:12:39 UTC
(In reply to strongswan from comment #2)
Since you changed OPTIONS_DEFAULT, you should bump PORTREVISION
Comment 7 strongswan 2015-02-24 12:30:03 UTC
Created attachment 153435 [details]
Updated patch for add GCM and SMP options plus pkgconfig fix

Added PORTREVISION=  1 to the makefile.
Comment 8 commit-hook freebsd_committer 2015-02-25 10:04:01 UTC
A commit references this bug:

Author: garga
Date: Wed Feb 25 10:03:54 UTC 2015
New revision: 379892
URL: https://svnweb.freebsd.org/changeset/ports/379892

Log:
  - Add GCM and SMP options
  - Add pkgconfig to the list of dependencies
  - Enable IKEv1 OPTION by default
  - Bump PORTREVISION

  PR:		197824
  Submitted by:	Franco Fichtner <franco@lastsummer.de> (based on)
  Reworked by:	strongswan@Nanoteq.com (maintainer)
  Approved by:	strongswan@Nanoteq.com (maintainer)

Changes:
  head/security/strongswan/Makefile
  head/security/strongswan/pkg-plist